Opened 5 years ago

Last modified 4 years ago

#20977 new task

Add Sage packages for additional software used by Polymake

Reported by: mkoeppe Owned by:
Priority: major Milestone: sage-8.1
Component: geometry Keywords:
Cc: dimpase, chapoton, vdelecroix, kcrisman Merged in:
Authors: Reviewers:
Report Upstream: N/A Work issues:
Branch: Commit:
Dependencies: Stopgaps:

Status badges

Description (last modified by mkoeppe)

From Polymake SPKG.txt (#20892):

Should convert this old-style Sage package:

Need to improve this new-style Sage package:

  • bliss (needs Debian patches; can't use the existing Sage package -- #20901)

Software that currently would need to be installed manually (no Sage package available) for a more featureful Polymake installation:

  • azove,
  • porta,
  • vinci,
  • SplitsTree4,
  • barvinok (which apparently brings its own Polymake extension) (#23547)

It does seem a bit like we're duplicating Debian packaging... In any case, patches can be lifted from there or other distributions.

See also: #22710: Meta-ticket: polymake

Change History (7)

comment:1 follow-up: Changed 5 years ago by dimpase

bliss is a part of Sage, as an optional package. Although it currently installs as a static library only. I don't know in which form it is needed by polymake.

comment:2 in reply to: ↑ 1 Changed 5 years ago by mkoeppe

  • Description modified (diff)

Replying to dimpase:

bliss is a part of Sage, as an optional package. Although it currently installs as a static library only. I don't know in which form it is needed by polymake.

Right, I've deleted "old-style" in the description. See #20901 for details.

comment:3 Changed 5 years ago by mkoeppe

  • Description modified (diff)

comment:4 Changed 5 years ago by mkoeppe

  • Description modified (diff)

comment:5 Changed 5 years ago by mkoeppe

  • Description modified (diff)

comment:6 Changed 4 years ago by mkoeppe

  • Description modified (diff)

comment:7 Changed 4 years ago by mkoeppe

  • Description modified (diff)
  • Milestone changed from sage-7.3 to sage-8.1
Note: See TracTickets for help on using tickets.